Distribution upgrade to Hardy Heron

Bug #224486 reported by Runaway1956 on 2008-04-30
2
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: update-manager

Failed to fetch http://archive.canonical.com/ubuntu/dists/hardy/Release Unable to find expected entry commercial/binary-i386/Packages in Meta-index file (malformed Release file?)

LSB Version: core-2.0-noarch:core-3.0-noarch:core-3.1-noarch:core-2.0-ia32:core-3.0-ia32:core-3.1-ia32:cxx-2.0-noarch:cxx-3.0-noarch:cxx-3.1-noarch:cxx-2.0-ia32:cxx-3.0-ia32:cxx-3.1-ia32:graphics-2.0-noarch:graphics-3.0-noarch:graphics-3.1-noarch:graphics-2.0-ia32:graphics-3.0-ia32:graphics-3.1-ia32:desktop-3.1-noarch:desktop-3.1-ia32
Distributor ID: Ubuntu
Description: Ubuntu 7.10
Release: 7.10
Codename: gutsy

I expected a smooth upgrade of Kubuntu Gutsy to the newly released Kubuntu Hardy.

Instead, I got this error messaage

Thanks for reporting this bug. This sounds like a problem with a file on the servers. This type of problem often resolves itself after the server gets updated. The best solution is often to try again later or in another day or two. If this problem persists for a few days let us know and please attach the files from /var/log/dist-upgrade for the failed upgrade. Please also let us know if you are able to upgrade successfully so that we can close this report

Changed in update-manager:
status: New → Incomplete

OK, I attempted to do an alternate upgrade method, from a different how-to
site.

http://ubuntu-tutorials.com/2008/04/03/dapper-to-hardy-direct-server-upgrade-works/

I ended with the same error, regarding the commercial/binary-i386/Packages

Attached, find the console output during the upgrade attempt.

It would seem that the update manager needs a switch, telling it to ignore
commercial software. I do not have any commercial software installed, so it
should b esafe to ignore.

I'll wait a couple more days, as you suggested. If that fails, I'll
probably upgrade by way of the downloaded CD. This will be my first upgrade
of a Debian system - it's quite different from OpenSuse, lol.

Thanks for your time,

Runaway1956

On Wed, Apr 30, 2008 at 12:45 AM, Richard Birnie <email address hidden>
wrote:

> Thanks for reporting this bug. This sounds like a problem with a file on
> the servers. This type of problem often resolves itself after the server
> gets updated. The best solution is often to try again later or in
> another day or two. If this problem persists for a few days let us know
> and please attach the files from /var/log/dist-upgrade for the failed
> upgrade. Please also let us know if you are able to upgrade successfully
> so that we can close this report
>
> ** Changed in: update-manager (Ubuntu)
> Status: New => Incomplete
>
> ** Tags added: gutsy2hardy
>
> --
> Distribution upgrade to Hardy Heron
> https://bugs.launchpad.net/bugs/224486
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Runaway1956 (runaway1956) wrote :

This is almost definitely a problem with the update archive. Admittedly, this is my first ever distro upgrade of a Debian system. I searched for a "how-to", and followed it carefully.

http://ubuntu-tutorials.com/2008/04/03/dapper-to-hardy-direct-server-upgrade-works/

The output from the console window is attached. The pertinent passage is:

Error during update

A problem occurred during the update. This is usually some sort of
network problem, please check your network connection and retry.

Failed to fetch
http://archive.canonical.com/ubuntu/dists/hardy/Release Unable to
find expected entry commercial/binary-i386/Packages in Meta-index
file (malformed Release file?)

I suspect that there may be a switch available, to tell update-manager to ignore the commercial software. Since I do not have any commercial software installed, it would be safe to do so.

I shall follow the previous advice, and wait a couple more days for the archive to update itself.

I think you're probably right about the archive. Looking through your console output you've done nothing obviously wrong. The only thing that comes to mind is that the guide you linked to is for upgrading from 6.06 rather than 7.10 and it uses the server upgrade method rather than desktop for Ubuntu rather than Kubuntu. As far as I know this should still work. For completeness sake it might be worth trying the instructions from the official upgrade guide which are here https://help.ubuntu.com/community/HardyUpgrades/Kubuntu.

Let us know how it turns out

Jean-Baptiste Lallement (jibel) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. We are closing this report because you reported this bug a while ago and there is no recent duplicate nor user mentioning having the issue on Intrepid. If this is still an issue, don't hesitate to reopen the report. Thanks again!

Changed in update-manager:
status: Incomplete → Invalid
Download full text (4.5 KiB)

To all my freinds - if you live in America, you need to learn what's going
on, and get involved. (Those of you outside of America, well, you're stuck
with this email, lol) After you learn what's being debated, I hope that
you'll contact your senators and congressmen, and tell them what you think.
Get involved, folks!! Below, you'll find the email I received from the
White House this morning. Visit the links, and figure out for yourself who
is blowing smoke, and who is not. No, I'm not going to tell you what to
think - there are FAR TO MANY people trying to tell us all what we should
think.

Enjoy!

Runaway

  [image: The White House, Washington]

Dear Friend,

Anyone that's watched the news in the past few days knows that health
insurance reform is a hot topic — and that rumors and scare tactics have
only increased as more people engage with the issue. Given a lot of the
outrageous claims floating around, it’s time to make sure everyone knows the
facts about the security and stability you get with health insurance reform.

That’s why we’ve launched a new online resource —
WhiteHouse.gov/RealityCheck<http://www.whitehouse.gov/realitycheck/?e=10&ref=text>—
to help you separate fact from fiction and share the truth about
health
insurance reform. Here's a few of the reality check videos you can find on
the site:

   - CEA Chair Christina Romer details how health insurance reform will
   impact small
businesses<http://www.whitehouse.gov/realitycheck/21/?e=10&ref=text3>.

   - Domestic Policy Council Director Melody Barnes tackles a nasty rumor
   about euthanasia<http://www.whitehouse.gov/realitycheck/7/?e=10&ref=text4>and
clearly describes how reform helps families.
   - Matt Flavin, the White House's Director of Veterans and Wounded Warrior
   Policy, clears the air about Veteran's
benefits<http://www.whitehouse.gov/realitycheck/6/?e=10&ref=text5>.

   - Kavita Patel, M.D., a doctor serving in the White House's Office of
   Public Engagement, explains that health care rationing is happening right
   now and how reform gives control back to patients and
doctors<http://www.whitehouse.gov/realitycheck/4/?e=10&ref=text6>.

   - Bob Kocher, M.D., a doctor serving on the National Economic Council,
   debunks the myth that health insurance reform will be financed by cutting
   Medicare benefits<http://www.whitehouse.gov/realitycheck/31/?e=10&ref=text7>.

There's more information and a number of online tools you can use to spread
the truth among your family, friends and other social networks. Take a look:

[image: Health Insurance Reform Reality
Check]<http://www.whitehouse.gov/realitycheck/?e=10&ref=image>

We knew going into this effort that accomplishing comprehensive health
insurance reform wasn't going to be easy. Achieving real change never is.
The entrenched interests that benefit from the status quo always use their
influence in Washington to try and keep things just as they are.

But don't be misled. We know the status quo is unsustainable. If we do
nothing, millions more Americans will be denied insurance because of
pre-existing conditions, or see their coverage suddenly dropped if they
become seriously ill. Out-of-pocket expense...

Read more...

I need you to speak up! The FTC is holding hearings on the issue of Digital
Rights Management (DRM) and End User Licensing Agreements (EULAs). The
Entertainment Consumers Association is taking comments about DRM and EULAs

You can go to this web page, sign the petition,
http://action.theeca.com/t/2858/petition.jsp?petition_KEY=562

The purpose of this petition is to stop the practice of selling CD/DVD that
can only be used in proprietary hardware, games that won't play unless the
CD is present, music that can't be copied from the CD to an MP3 player, etc.

As the paying customer, it is your RIGHT to use your software, movies,
music, games, and other digital property as YOU see fit. Overly restrictive
EULA's and DRM's hurt everyone.

Thanks!!

Download full text (9.3 KiB)

---------- Forwarded message ----------
From: Effector List <email address hidden>
Date: Thu, Oct 29, 2009 at 5:19 PM
Subject: EFFector 22.31: "Hall of Shame" Calls Out Bogus Internet Censorship
To: <email address hidden>

.........!.........!.........!.........!.........!.........!..
EFFector 22.31: "Hall of Shame" Calls Out Bogus Internet
Censorship

EFFector Vol. 22, No. 31 October 29, 2009 <email address hidden>

A Publication of the Electronic Frontier Foundation
ISSN 1062-9424

: . : . : . : . : . : . : . : . : . : . : . : . : . : . :

In our 522nd issue:

* "Hall of Shame" Calls Out Bogus Internet Censorship

Websites like YouTube have ushered in a new era of creativity and free
speech on the Internet, but not everyone is celebrating. Some of the
web's most interesting content has been yanked from popular websites
with bogus copyright claims or other spurious legal threats. The
Electronic Frontier Foundation (EFF) has launched its "Takedown Hall
of Shame" to call attention to particularly bogus takedowns --
and showcase the amazing online videos and other creative works that
someone doesn't want you to see.

Hall of Shame: https://www.eff.org/takedowns

For the full press release:
https://www.eff.org/press/archives/2009/10/27

: . : . : . : . : . : . : . : . : . : . : . : . : . : . :

EFF Updates

* UK and Three Strikes: What Not to Do in an Election Year

The arbitrary termination of Internet access for repeated accusations
of copyright infringement "three strikes" is as
profoundly unpopular in the UK as it is elsewhere. National experts
have generally come out against the idea, from government civil
servants who previously omitted it from a public consultation document
as too drastic, to the counter-intelligence MI5 unit, which apparently
fears it will encourage an encrypted and unpoliceable darknet, to many
of the artists it is supposed to protect. Net users are aghast at such
a disproportionate and ineffective scheme, and 70% of Britons came out
against it in a recent poll.

Nonetheless, UK Business secretary Peter Mandelson stated explicitly
that he intends to include three strikes in the upcoming digital
economy bill.

https://www.eff.org/deeplinks/2009/10/uk-and-three-strikes-what-not-do-election-year

* Prepaid Providers Seek to Put Locks on Your Phone and Their Hands in
Your Pocket

As the deadline nears for a decision from the Copyright Office on
EFF's request for a renewal of the 2006 exemption from DMCA
liability for handset unlocking, prepaid phone companies have opened a
new front in the war on consumer choice with a bill called the
Wireless Prepaid Access Device Enforcement Act of 2009. If passed,
this legislation would make it a crime to purchase or
"handle" a prepaid handset for the purpose of modifying
the software that ties it to the network, or to sell the handset
outside of the United States.

https://www.eff.org/deeplinks/2009/10/prepaid-providers-locks-your-phone-hands-pockets

* EFF Urges Court to Ensure Fairness in Google Book Search Amendment
Process

EFF has led a coalition of authors, publishers, companies and
nonprofit organizations in sending a letter to the judge overseeing
the Google Book Search settlement requesti...

Read more...

Runaway1956 (runaway1956) wrote :

Happy Holidays -- we have some great news to share.

We've just won two huge battles in the fight against Internet censorship --
*everything*you are doing is working! First off, the House of
Representatives failed to move SOPA out of committee! Why? Because their
offices got swamped with phone calls and overwhelmed by the snowballing
opposition. Thank you for helping make that happen.

Second, in response to the boycott of GoDaddy, the web hosting company just
made a public announcement that it's dropping its support of SOPA. Amazing
what you have made happen.

*Yet, we can't let GoDaddy off the hook just yet. GoDaddy supports the
Senate version of SOPA, called the PROTECT IP Act (PIPA). The boycott has
to continue -- Please click here to pledge to join
it.*<http://act.fightforthefuture.org/page/m/2e1f2060/1d170b31/713b9071/f863e70/972113413/VEsH/>

Please join us in holding GoDaddy accountable, until they drop any and all
efforts to support not just SOPA, but also its Senate cousin, PIPA. The
boycott already worked to get GoDaddy to change their position on SOPA, now
we urgently need to hear from GoDaddy about PIPA too.

*So what's next?*

The PIPA bill is still alive and strong in the Senate, and could be voted
on in January. Like SOPA, it threatens free speech, innovation, and the
basic structure of the Internet.

*Keep transferring your domains from GoDaddy until they fully come out
against PIPA and SOPA. They need to send a letter to Congress making their
opposition to both bills clear -- Click here to join the
cause.*<http://act.fightforthefuture.org/page/m/2e1f2060/1d170b31/713b9071/f863e70/972113413/VEsE/>

Thank you for all that you do -- it is working!

Tiffiniy & Phil

Fight for the Future

*P.S. Please use these links to ask your friends to hit GoDaddy where it
hurts, by pledging to join the boycott too:*

[image: Share on
Twitter]<http://act.fightforthefuture.org/page/m/2e1f2060/1d170b31/713b9071/f863e71/972113413/VEsF/>
 [image: Share on
FB]<http://act.fightforthefuture.org/page/m/2e1f2060/1d170b31/713b9071/f863e7e/972113413/VEsC/>

Download full text (3.3 KiB)

---------- Forwarded message ----------
From: David Segal <email address hidden>
Date: Wed, Feb 1, 2012 at 09:22
Subject: Spying
To: Paul Cooper <email address hidden>

 <http://act.demandprogress.org/go/469?akid=1193.1792529.a0XerE&t=1>Paul,

*"A direct assault on Internet users"* is what the ACLU is calling it. A
U.S. House committee has already approved HR 1981, a broad new Internet
snooping bill.

*And get this -- it's also authored by SOPA sponsor Lamar Smith. *

They want to force Internet service providers to keep track of and retain
their customers' information --* including your name, address, phone
number, credit card numbers, bank account numbers, and temporarily-assigned
IP addresses.*

The Internet blew away the insiders with our work against SOPA. Let's do
it again this time:

*Please click here to urge your lawmakers to oppose the snooping bill --
it's already passed through
committee.*<http://act.demandprogress.org/go/469?akid=1193.1792529.a0XerE&t=2>

The ACLU, the EFF, Demand Progress, and 25 other civil liberties and
privacy groups have expressed our opposition to this legislation.

*ISPs would collect and retain your data whether or not you're accused of a
crime. *

Supporters shamelessly dubbed it the "Protecting Children From Internet
Pornographers Act," but our staunchest allies in Congress are calling it
what it is: an all-encompassing Internet snooping bill.

Rep. Zoe Lofgren of California -- a SOPA hero who also led Democratic
opposition to this bill -- said, "It represents a data bank of every
digital act by every American [that would] let us find out where every
single American visited Web sites."

*This legislation is appalling, and it's already passed through committee.
 Will you click here to urge your lawmakers to oppose
it?<http://act.demandprogress.org/go/469?akid=1193.1792529.a0XerE&t=3>
*

Thanks,

Demand Progress

*PS: Let's stop this one in its tracks, just as we did with SOPA. Please
forward this email to your friends, or use these links: *
  [image: [fb]] If you're already on *Facebook*, click here to share with
your friends.<http://act.demandprogress.org/go/470?akid=1193.1792529.a0XerE&t=4>
 [image:
[fb]] If you're already on *Twitter*, click here to tweet about the
campaign: Tweet<http://act.demandprogress.org/go/471?akid=1193.1792529.a0XerE&t=5>

  Paid for by Demand Progress (DemandProgress.org<http://demandprogress.org/>)
and not authorized by any candidate or candidate's committee. Contributions
are not deductible as charitable contributions for federal income tax
purposes.

*One last thing -- Demand Progress's small, dedicated, under-paid staff
relies on the generosity of members like you to support our work. Will you
click here to chip in $5 or
$10?<https://www.paypal.com/cgi-bin/webscr?cmd=_donations&<email address hidden>&lc=US&item_name=Donate%20to%20Demand%20Progress&no_note=1&no_shipping=1&currency_code=USD&bn=PP%2dDonationsBF%3abtn_donateCC_LG%2egif%3aNonHosted>Or
you can become a Demand Progress monthly sustainer by
clicking here.
<http://act.demandprogress.org/sign/dp_sustainer/?recurring=1> Thank you!*

You can unsubscribe from this mailing list at any
time.<http://ac...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers